Functions

# lib/fs.h File Reference

Access mounted file system information. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | rpmFreeFilesystems (void)
| Release storage used by file system usage cache.
int | rpmGetFilesystemList (const char ***listptr, uint32_t *num)
| Return (cached) file system mount points.
int | rpmGetFilesystemUsage (const char **fileList, uint32_t *fssizes, int numFiles, uint64_t **usagesPtr, int flags)
| Determine per-file system usage for a list of files.

## Detailed Description

Access mounted file system information.

Definition in file fs.h.

## Function Documentation

void rpmFreeFilesystems | ( | void | ) |

Release storage used by file system usage cache.

Definition at line 32 of file fs.c.

References _free(), fsnames, fsinfo::mntPoint, and numFilesystems.

Referenced by getFilesystemList(), and rpmcliFini().

int rpmGetFilesystemList | ( | const char *** | listptr,
|  | uint32_t * | num
| ) |  |

Return (cached) file system mount points.

Return values:

  listptr | addess of file system names (or NULL)
  num | address of number of file systems (or NULL)

Returns:
  0 on success, 1 on error

Definition at line 271 of file fs.c.

References fsnames, getFilesystemList(), and numFilesystems.

Referenced by fsnamesTag(), fssizesTag(), and rpmtsInitDSI().

int rpmGetFilesystemUsage | ( | const char ** | fileList,
|  | uint32_t * | fssizes,
|  | int | numFiles,
|  | uint64_t ** | usagesPtr,
|  | int | flags
| ) |  |

Determine per-file system usage for a list of files.

Parameters:

  fileList | array of absolute file names
  fssizes | array of file sizes
  numFiles | number of files in list

Return values:

  usagesPtr | address of per-file system usage array (or NULL)

Parameters:

  flags | (unused)

Returns:
  0 on success, 1 on error

Definition at line 283 of file fs.c.

References _, _free(), alloca(), dirName, errno, fsnames, getFilesystemList(), numFilesystems, rpmGetPath(), rpmlog(), RPMLOG_ERR, and xcalloc().

Referenced by fssizesTag().